oracle.pg.text.lucene

## Enum OracleDirectory.DirectoryType

- java.lang.Object
- - java.lang.Enum<OracleDirectory.DirectoryType>
  - - oracle.pg.text.lucene.OracleDirectory.DirectoryType

- All Implemented Interfaces:
    Serializable, Comparable<OracleDirectory.DirectoryType>
  Enclosing class:
    OracleDirectory

      public static enum OracleDirectory.DirectoryType
      extends Enum<OracleDirectory.DirectoryType>

  It denotes the type of directories for storing Lucene indexes. The directory type can be FS_DIRECTORY or ORACLE_JDBC_DIRECTORY

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `FS_DIRECTORY`
    `ORACLE_JDBC_DIRECTORY`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static OracleDirectory.DirectoryType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static OracleDirectory.DirectoryType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### FS_DIRECTORY

          public static final OracleDirectory.DirectoryType FS_DIRECTORY

    - #### ORACLE_JDBC_DIRECTORY

          public static final OracleDirectory.DirectoryType ORACLE_JDBC_DIRECTORY

  - ### Method Detail

    - #### valueOf

          public static OracleDirectory.DirectoryType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### values

          public static OracleDirectory.DirectoryType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (OracleDirectory.DirectoryType c : OracleDirectory.DirectoryType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

Copyright © 2015 Oracle and/or its afflilates. All Rights Reserved.